; -- adzapper.iss --
; Same as Sample1.iss, but creates its icon in the Programs folder of the
; Start Menu instead of in a subfolder, and also creates a desktop icon.

[Setup]
AppName=adzapper
AppVerName=adzapper version 0.3.0
AppCopyright=Copyright  1999-2000 Adam Feuer
DefaultDirName={pf}\adzapper
DisableProgramGroupPage=yes
; ^ since no icons will be created in "{group}", we don't need the wizard
;   to ask for a group name.
UninstallDisplayIcon={app}\adzapper.exe
OutputBaseFilename=adzapper-0.3.0-installer

[Dirs]
Name: "{app}\zaplets"
Name: "{app}\doc"
Name: "{app}\dtml"
Name: "{app}\scripts"
Name: "{app}\scripts\convert-v0.5-to-v0.9"
Name: "{app}\site-zaplets"

[Files]
Source: "adzapper.exe"; DestDir: "{app}"
Source: "zlib.pyd"; DestDir: "{app}"
Source: "win32api.pyd"; DestDir: "{app}"
Source: "PyWinTypes15.dll"; DestDir: "{app}"
Source: "python15.dll"; DestDir: "{app}"
Source: "exceptions.pyc"; DestDir: "{app}"
Source: "adzapper.conf"; DestDir: "{app}"
Source: "blue.gif"; DestDir: "{app}"
Source: "README.txt"; DestDir: "{app}"; Flags: isreadme
Source: "README-Install.txt"; DestDir: "{app}"
Source: "COPYING.txt"; DestDir: "{app}"
Source: "COPYING-Zaplet.txt"; DestDir: "{app}"

Source: "zaplets\*.zap"; DestDir: "{app}\zaplets"
Source: "doc\*.*"; DestDir: "{app}\doc"
Source: "dtml\*.*"; DestDir: "{app}\dtml"
Source: "scripts\*.*"; DestDir: "{app}\scripts"
Source: "scripts\convert-v0.5-to-v0.9\*.*"; DestDir: "{app}\scripts\convert-v0.5-to-v0.9"

[Icons]
Name: "{commonprograms}\adzapper"; Filename: "{app}\adzapper.exe"; WorkingDir: "{app}"
Name: "{userdesktop}\adzapper"; Filename: "{app}\adzapper.exe" ; WorkingDir: "{app}"

